<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <!--        <include layout="@layout/table_include_number_input"/>-->

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_80"
        android:background="@color/theme_white_color">

        <EditText
            android:id="@+id/ed_value"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_60"
            android:layout_marginLeft="@dimen/dp_15"
            android:layout_marginRight="@dimen/dp_15"
            android:background="@drawable/table_shape_input_table_number_frame"
            android:ems="10"
            android:enabled="false"
            android:hint="@string/please_input_table_number"
            android:textSize="@dimen/sp_28"
            android:paddingLeft="@dimen/dp_8"
            android:paddingRight="@dimen/dp_40"
            android:layout_centerInParent="true"
            android:gravity="right|center_vertical"
            android:inputType="numberDecimal"
            android:singleLine="true"
            android:textColor="@color/table_input_table_keypad"
            android:textColorHint="@color/theme_hint_color"
            android:textStyle="bold" />

        <ImageView
            android:id="@+id/iv_clear_account"
            android:layout_width="@dimen/dp_30"
            android:layout_height="@dimen/dp_30"
            android:padding="@dimen/dp_2"
            android:layout_marginRight="@dimen/dp_25"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:src="@mipmap/ic_clear_text"
            android:visibility="gone" />

    </RelativeLayout>

    <TableLayout
        android:id="@+id/LL_keys"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="@dimen/dp_80"
        android:background="#FFF6F5F8"
        android:stretchColumns="*">

        <TableRow
            android:id="@+id/tableRow1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1">

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_A"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_weight="1"
                android:focusable="true"
                android:gravity="center"
                android:layerType="software"
                android:tag="55"
                android:text="A"
                android:textColor="@color/table_input_table_keypad"
                android:textSize="40dp"
                android:textStyle="bold" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_7"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_weight="1"
                android:focusable="true"
                android:gravity="center"
                android:layerType="software"
                android:tag="7"
                android:text="@string/Key_7"
                android:textColor="@color/table_input_table_keypad"
                android:textSize="40dp"
                android:textStyle="bold" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_8"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_weight="1"
                android:focusable="true"
                android:layerType="software"
                android:gravity="center"
                android:tag="8"
                android:text="@string/Key_8"
                android:textColor="@color/table_input_table_keypad"
                android:textSize="40dp"
                android:textStyle="bold" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_9"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_weight="1"
                android:focusable="true"
                android:layerType="software"
                android:gravity="center"
                android:tag="9"
                android:text="@string/Key_9"
                android:textColor="@color/table_input_table_keypad"
                android:textSize="40dp"
                android:textStyle="bold" />
        </TableRow>

        <TableRow
            android:id="@+id/tableRow2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1">

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_B"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:focusable="true"
                android:layerType="software"
                android:gravity="center"
                android:tag="56"
                android:text="B"
                android:textColor="@color/table_input_table_keypad"
                android:textSize="40dp"
                android:textStyle="bold" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_4"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:focusable="true"
                android:layerType="software"
                android:gravity="center"
                android:tag="4"
                android:text="@string/Key_4"
                android:textColor="@color/table_input_table_keypad"
                android:textSize="40dp"
                android:textStyle="bold" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_5"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:focusable="true"
                android:layerType="software"
                android:gravity="center"
                android:tag="5"
                android:text="@string/Key_5"
                android:textColor="@color/table_input_table_keypad"
                android:textSize="40dp"
                android:textStyle="bold" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_6"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:focusable="true"
                android:layerType="software"
                android:gravity="center"
                android:tag="6"
                android:text="@string/Key_6"
                android:textColor="@color/table_input_table_keypad"
                android:textSize="40dp"
                android:textStyle="bold" />
        </TableRow>

        <TableRow
            android:id="@+id/tableRow3"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1">

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_C"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:focusable="true"
                android:layerType="software"
                android:gravity="center"
                android:tag="57"
                android:text="-"
                android:textColor="@color/table_input_table_keypad"
                android:textSize="40dp"
                android:textStyle="bold" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_1"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:focusable="true"
                android:layerType="software"
                android:gravity="center"
                android:tag="1"
                android:text="@string/Key_1"
                android:textColor="@color/table_input_table_keypad"
                android:textSize="40dp"
                android:textStyle="bold" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_2"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:focusable="true"
                android:layerType="software"
                android:gravity="center"
                android:tag="2"
                android:text="@string/Key_2"
                android:textColor="@color/table_input_table_keypad"
                android:textSize="40dp"
                android:textStyle="bold" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_3"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:focusable="true"
                android:layerType="software"
                android:gravity="center"
                android:tag="3"
                android:text="@string/Key_3"
                android:textColor="@color/table_input_table_keypad"
                android:textSize="40dp"
                android:textStyle="bold" />
        </TableRow>

        <TableRow
            android:id="@+id/tableRow4"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="0.2"
            android:background="#FFDDEDFE">

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_more"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:focusable="true"
                android:gravity="center"
                android:layerType="software"
                android:tag="58"
                android:text="..."
                android:textColor="@color/table_input_table_keypad"
                android:textSize="40dp"
                android:textStyle="bold" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_clear"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:focusable="true"
                android:gravity="center"
                android:layerType="software"
                android:longClickable="true"
                android:tag="99"
                android:text="@string/Key_clear"
                android:textColor="@color/table_input_table_keypad"
                android:textSize="30sp"
                android:textStyle="bold" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_0"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:focusable="true"
                android:gravity="center"
                android:layerType="software"
                android:tag="0"
                android:text="@string/Key_0"
                android:textColor="@color/table_input_table_keypad"
                android:textSize="40dp"
                android:textStyle="bold" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_right"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:background="@color/table_input_table_keypad"
                android:focusable="true"
                android:gravity="center"
                android:layerType="software"
                android:tag="98"
                android:text="@string/Key_right"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />
        </TableRow>
    </TableLayout>

</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>